<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::ReconstructedParticle Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_reconstructed_particle-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::ReconstructedParticle Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_reconstructed_particle_8h_source.html">ReconstructedParticle.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad1608d746b561cdeacf74ebeea6c0a9e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#ad1608d746b561cdeacf74ebeea6c0a9e">ReconstructedParticle</a> ()</td></tr>
<tr class="memdesc:ad1608d746b561cdeacf74ebeea6c0a9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor  <a href="#ad1608d746b561cdeacf74ebeea6c0a9e">More...</a><br /></td></tr>
<tr class="separator:ad1608d746b561cdeacf74ebeea6c0a9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af928460dec7e5c29de51e71e545d7da2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#af928460dec7e5c29de51e71e545d7da2">ReconstructedParticle</a> (int <a class="el" href="classeic_1_1_reconstructed_particle.html#aa2f48e9ed2fc13f89fbd14711171085f">type</a>, double <a class="el" href="classeic_1_1_reconstructed_particle.html#a05920d5d8fa0f1b77fb6c8d98e3dc453">energy</a>, std::array&lt; double, 3 &gt; <a class="el" href="classeic_1_1_reconstructed_particle.html#a3f897f60a6c5d2dbb04c5b4185e61a3c">momentum</a>, float <a class="el" href="classeic_1_1_reconstructed_particle.html#ae3f92f0ee9115e20142d1930086704aa">charge</a>, double <a class="el" href="classeic_1_1_reconstructed_particle.html#a43945b1ac5c38a51b858cf3e2148f02d">mass</a>)</td></tr>
<tr class="separator:af928460dec7e5c29de51e71e545d7da2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f41c174c8dcb99256cf996895a20213"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a0f41c174c8dcb99256cf996895a20213">ReconstructedParticle</a> (<a class="el" href="classeic_1_1_reconstructed_particle_obj.html">ReconstructedParticleObj</a> *obj)</td></tr>
<tr class="memdesc:a0f41c174c8dcb99256cf996895a20213"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor from existing <a class="el" href="classeic_1_1_reconstructed_particle_obj.html">ReconstructedParticleObj</a>  <a href="#a0f41c174c8dcb99256cf996895a20213">More...</a><br /></td></tr>
<tr class="separator:a0f41c174c8dcb99256cf996895a20213"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27a794b93a15e596da410d176d793497"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a27a794b93a15e596da410d176d793497">ReconstructedParticle</a> (const <a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> &amp;other)</td></tr>
<tr class="memdesc:a27a794b93a15e596da410d176d793497"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor  <a href="#a27a794b93a15e596da410d176d793497">More...</a><br /></td></tr>
<tr class="separator:a27a794b93a15e596da410d176d793497"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7769ae12580de8c0230609baef09c27c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a7769ae12580de8c0230609baef09c27c">operator=</a> (const <a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> &amp;other)</td></tr>
<tr class="memdesc:a7769ae12580de8c0230609baef09c27c"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy-assignment operator  <a href="#a7769ae12580de8c0230609baef09c27c">More...</a><br /></td></tr>
<tr class="separator:a7769ae12580de8c0230609baef09c27c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cebfda249f07f9a209111917f047791"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a6cebfda249f07f9a209111917f047791">clone</a> () const</td></tr>
<tr class="memdesc:a6cebfda249f07f9a209111917f047791"><td class="mdescLeft">&#160;</td><td class="mdescRight">support cloning (deep-copy)  <a href="#a6cebfda249f07f9a209111917f047791">More...</a><br /></td></tr>
<tr class="separator:a6cebfda249f07f9a209111917f047791"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6abbbc59623368218ec10cf1e77b3f7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#ac6abbbc59623368218ec10cf1e77b3f7">~ReconstructedParticle</a> ()</td></tr>
<tr class="memdesc:ac6abbbc59623368218ec10cf1e77b3f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">destructor  <a href="#ac6abbbc59623368218ec10cf1e77b3f7">More...</a><br /></td></tr>
<tr class="separator:ac6abbbc59623368218ec10cf1e77b3f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1dc6298b8e09e0702fc48470ded5729"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#af1dc6298b8e09e0702fc48470ded5729">operator ConstReconstructedParticle</a> () const</td></tr>
<tr class="memdesc:af1dc6298b8e09e0702fc48470ded5729"><td class="mdescLeft">&#160;</td><td class="mdescRight">conversion to const object  <a href="#af1dc6298b8e09e0702fc48470ded5729">More...</a><br /></td></tr>
<tr class="separator:af1dc6298b8e09e0702fc48470ded5729"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2f48e9ed2fc13f89fbd14711171085f"><td class="memItemLeft" align="right" valign="top">const int &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#aa2f48e9ed2fc13f89fbd14711171085f">type</a> () const</td></tr>
<tr class="memdesc:aa2f48e9ed2fc13f89fbd14711171085f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Type of reconstructed particle.  <a href="#aa2f48e9ed2fc13f89fbd14711171085f">More...</a><br /></td></tr>
<tr class="separator:aa2f48e9ed2fc13f89fbd14711171085f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05920d5d8fa0f1b77fb6c8d98e3dc453"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a05920d5d8fa0f1b77fb6c8d98e3dc453">energy</a> () const</td></tr>
<tr class="memdesc:a05920d5d8fa0f1b77fb6c8d98e3dc453"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Energy of the reconstructed particle.  <a href="#a05920d5d8fa0f1b77fb6c8d98e3dc453">More...</a><br /></td></tr>
<tr class="separator:a05920d5d8fa0f1b77fb6c8d98e3dc453"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f897f60a6c5d2dbb04c5b4185e61a3c"><td class="memItemLeft" align="right" valign="top">const std::array&lt; double, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a3f897f60a6c5d2dbb04c5b4185e61a3c">momentum</a> () const</td></tr>
<tr class="memdesc:a3f897f60a6c5d2dbb04c5b4185e61a3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The reconstructed particle's 3-momentum.  <a href="#a3f897f60a6c5d2dbb04c5b4185e61a3c">More...</a><br /></td></tr>
<tr class="separator:a3f897f60a6c5d2dbb04c5b4185e61a3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a287b9a555cefbc7ff008dc9023103f53"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a287b9a555cefbc7ff008dc9023103f53">momentum</a> (size_t i) const</td></tr>
<tr class="memdesc:a287b9a555cefbc7ff008dc9023103f53"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access item i of the The reconstructed particle's 3-momentum.  <a href="#a287b9a555cefbc7ff008dc9023103f53">More...</a><br /></td></tr>
<tr class="separator:a287b9a555cefbc7ff008dc9023103f53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3f92f0ee9115e20142d1930086704aa"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#ae3f92f0ee9115e20142d1930086704aa">charge</a> () const</td></tr>
<tr class="memdesc:ae3f92f0ee9115e20142d1930086704aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The particle's charge.  <a href="#ae3f92f0ee9115e20142d1930086704aa">More...</a><br /></td></tr>
<tr class="separator:ae3f92f0ee9115e20142d1930086704aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43945b1ac5c38a51b858cf3e2148f02d"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a43945b1ac5c38a51b858cf3e2148f02d">mass</a> () const</td></tr>
<tr class="memdesc:a43945b1ac5c38a51b858cf3e2148f02d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The mass of the particle in [GeV].  <a href="#a43945b1ac5c38a51b858cf3e2148f02d">More...</a><br /></td></tr>
<tr class="separator:a43945b1ac5c38a51b858cf3e2148f02d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ee04d535846548b3f620533eaa9f6cb"><td class="memItemLeft" align="right" valign="top">const ::<a class="el" href="classeic_1_1_const_vertex.html">eic::ConstVertex</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a9ee04d535846548b3f620533eaa9f6cb">vertex</a> () const</td></tr>
<tr class="memdesc:a9ee04d535846548b3f620533eaa9f6cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The start vertex associated to this particle.  <a href="#a9ee04d535846548b3f620533eaa9f6cb">More...</a><br /></td></tr>
<tr class="separator:a9ee04d535846548b3f620533eaa9f6cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adae5d6283b37b04bbd465ee1cf423d23"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#adae5d6283b37b04bbd465ee1cf423d23">type</a> (int value)</td></tr>
<tr class="memdesc:adae5d6283b37b04bbd465ee1cf423d23"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Type of reconstructed particle.  <a href="#adae5d6283b37b04bbd465ee1cf423d23">More...</a><br /></td></tr>
<tr class="separator:adae5d6283b37b04bbd465ee1cf423d23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6abde6d96f42013ced583914ca2f7b67"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a6abde6d96f42013ced583914ca2f7b67">energy</a> (double value)</td></tr>
<tr class="memdesc:a6abde6d96f42013ced583914ca2f7b67"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Energy of the reconstructed particle.  <a href="#a6abde6d96f42013ced583914ca2f7b67">More...</a><br /></td></tr>
<tr class="separator:a6abde6d96f42013ced583914ca2f7b67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e1b316c7c15585fa3b8eb386fbafae7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a4e1b316c7c15585fa3b8eb386fbafae7">momentum</a> (std::array&lt; double, 3 &gt; value)</td></tr>
<tr class="memdesc:a4e1b316c7c15585fa3b8eb386fbafae7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the The reconstructed particle's 3-momentum.  <a href="#a4e1b316c7c15585fa3b8eb386fbafae7">More...</a><br /></td></tr>
<tr class="separator:a4e1b316c7c15585fa3b8eb386fbafae7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16107436156ffdbdb5518532dd111d0f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a16107436156ffdbdb5518532dd111d0f">momentum</a> (size_t i, double value)</td></tr>
<tr class="separator:a16107436156ffdbdb5518532dd111d0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab764b604c8e2e3eafd1a0c7c9a686158"><td class="memItemLeft" align="right" valign="top">std::array&lt; double, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#ab764b604c8e2e3eafd1a0c7c9a686158">momentum</a> ()</td></tr>
<tr class="memdesc:ab764b604c8e2e3eafd1a0c7c9a686158"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get reference to The reconstructed particle's 3-momentum.  <a href="#ab764b604c8e2e3eafd1a0c7c9a686158">More...</a><br /></td></tr>
<tr class="separator:ab764b604c8e2e3eafd1a0c7c9a686158"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5eb80ded486ebccb72baab77a6ebb6f3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a5eb80ded486ebccb72baab77a6ebb6f3">charge</a> (float value)</td></tr>
<tr class="memdesc:a5eb80ded486ebccb72baab77a6ebb6f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the The particle's charge.  <a href="#a5eb80ded486ebccb72baab77a6ebb6f3">More...</a><br /></td></tr>
<tr class="separator:a5eb80ded486ebccb72baab77a6ebb6f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e7735e3aa1c4feb008878c70a6907c2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a0e7735e3aa1c4feb008878c70a6907c2">mass</a> (double value)</td></tr>
<tr class="memdesc:a0e7735e3aa1c4feb008878c70a6907c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the The mass of the particle in [GeV].  <a href="#a0e7735e3aa1c4feb008878c70a6907c2">More...</a><br /></td></tr>
<tr class="separator:a0e7735e3aa1c4feb008878c70a6907c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92f0f86624c5dad3ef3f2f5f4ec9892a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a92f0f86624c5dad3ef3f2f5f4ec9892a">vertex</a> (::<a class="el" href="classeic_1_1_const_vertex.html">eic::ConstVertex</a> value)</td></tr>
<tr class="memdesc:a92f0f86624c5dad3ef3f2f5f4ec9892a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the The start vertex associated to this particle.  <a href="#a92f0f86624c5dad3ef3f2f5f4ec9892a">More...</a><br /></td></tr>
<tr class="separator:a92f0f86624c5dad3ef3f2f5f4ec9892a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1eac64db49c300a98690928a06073f06"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a1eac64db49c300a98690928a06073f06">addclusters</a> (::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a>)</td></tr>
<tr class="separator:a1eac64db49c300a98690928a06073f06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe0258799c43a636cfb1495e0fc8c283"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#afe0258799c43a636cfb1495e0fc8c283">clusters_size</a> () const</td></tr>
<tr class="separator:afe0258799c43a636cfb1495e0fc8c283"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0eac16a194d6175f9c13110905a59d7"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#ab0eac16a194d6175f9c13110905a59d7">clusters</a> (unsigned int) const</td></tr>
<tr class="separator:ab0eac16a194d6175f9c13110905a59d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade7a985319c8354e627afb545da19552"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#ade7a985319c8354e627afb545da19552">clusters_begin</a> () const</td></tr>
<tr class="separator:ade7a985319c8354e627afb545da19552"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c80967eb7ce00d89e6054d08f5450b9"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a7c80967eb7ce00d89e6054d08f5450b9">clusters_end</a> () const</td></tr>
<tr class="separator:a7c80967eb7ce00d89e6054d08f5450b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e656fbe689e6f418572b1e180775052"><td class="memItemLeft" align="right" valign="top">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a9e656fbe689e6f418572b1e180775052">clusters</a> () const</td></tr>
<tr class="separator:a9e656fbe689e6f418572b1e180775052"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8d8cb8c7db1ad22105ab535e94d52d0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#ae8d8cb8c7db1ad22105ab535e94d52d0">addtracks</a> (::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a>)</td></tr>
<tr class="separator:ae8d8cb8c7db1ad22105ab535e94d52d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f0c41aea1f0946012d365c07083d2f6"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a1f0c41aea1f0946012d365c07083d2f6">tracks_size</a> () const</td></tr>
<tr class="separator:a1f0c41aea1f0946012d365c07083d2f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c32b2e46da2519bae03ee0b95f5d089"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a6c32b2e46da2519bae03ee0b95f5d089">tracks</a> (unsigned int) const</td></tr>
<tr class="separator:a6c32b2e46da2519bae03ee0b95f5d089"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3eb5c21b4058e8c61a5bd5466277fd1"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#ad3eb5c21b4058e8c61a5bd5466277fd1">tracks_begin</a> () const</td></tr>
<tr class="separator:ad3eb5c21b4058e8c61a5bd5466277fd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0be48f9f6f575b8de02bf4f7c7da5e6"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#ae0be48f9f6f575b8de02bf4f7c7da5e6">tracks_end</a> () const</td></tr>
<tr class="separator:ae0be48f9f6f575b8de02bf4f7c7da5e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b8c30c843d79468a3817d24a94dd351"><td class="memItemLeft" align="right" valign="top">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a5b8c30c843d79468a3817d24a94dd351">tracks</a> () const</td></tr>
<tr class="separator:a5b8c30c843d79468a3817d24a94dd351"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab45936f610cf0d165ab4c8d8265994a1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#ab45936f610cf0d165ab4c8d8265994a1">addparticles</a> (::<a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a>)</td></tr>
<tr class="separator:ab45936f610cf0d165ab4c8d8265994a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50bf98e35c2b136ffbf46306f6663505"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a50bf98e35c2b136ffbf46306f6663505">particles_size</a> () const</td></tr>
<tr class="separator:a50bf98e35c2b136ffbf46306f6663505"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa62bb57cec72438b986d7b73f007cbee"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#aa62bb57cec72438b986d7b73f007cbee">particles</a> (unsigned int) const</td></tr>
<tr class="separator:aa62bb57cec72438b986d7b73f007cbee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afded9e5f6c5874b912365a479bbe2378"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#afded9e5f6c5874b912365a479bbe2378">particles_begin</a> () const</td></tr>
<tr class="separator:afded9e5f6c5874b912365a479bbe2378"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86ef2449a2a6edb0133b446ead0eda38"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a86ef2449a2a6edb0133b446ead0eda38">particles_end</a> () const</td></tr>
<tr class="separator:a86ef2449a2a6edb0133b446ead0eda38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f1d5448bf597e3a2a24b39d74916a26"><td class="memItemLeft" align="right" valign="top">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a7f1d5448bf597e3a2a24b39d74916a26">particles</a> () const</td></tr>
<tr class="separator:a7f1d5448bf597e3a2a24b39d74916a26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad65c2fb2b46e1aa3ceace4fe0cf370b1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#ad65c2fb2b46e1aa3ceace4fe0cf370b1">isAvailable</a> () const</td></tr>
<tr class="memdesc:ad65c2fb2b46e1aa3ceace4fe0cf370b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">check whether the object is actually available  <a href="#ad65c2fb2b46e1aa3ceace4fe0cf370b1">More...</a><br /></td></tr>
<tr class="separator:ad65c2fb2b46e1aa3ceace4fe0cf370b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac39d55e8788f5969f915b12ceb696a4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#aac39d55e8788f5969f915b12ceb696a4">unlink</a> ()</td></tr>
<tr class="memdesc:aac39d55e8788f5969f915b12ceb696a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">disconnect from <a class="el" href="classeic_1_1_reconstructed_particle_obj.html">ReconstructedParticleObj</a> instance  <a href="#aac39d55e8788f5969f915b12ceb696a4">More...</a><br /></td></tr>
<tr class="separator:aac39d55e8788f5969f915b12ceb696a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7427ab20702e6e6a4192d8b81e14b6d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#aa7427ab20702e6e6a4192d8b81e14b6d">operator==</a> (const <a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> &amp;other) const</td></tr>
<tr class="separator:aa7427ab20702e6e6a4192d8b81e14b6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3aa72eb6e0ebabe821ee6c5ff600d21b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a3aa72eb6e0ebabe821ee6c5ff600d21b">operator==</a> (const <a class="el" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a> &amp;other) const</td></tr>
<tr class="separator:a3aa72eb6e0ebabe821ee6c5ff600d21b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0517fb453cdf4e5c4435aecb4795e594"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a0517fb453cdf4e5c4435aecb4795e594">operator&lt;</a> (const <a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> &amp;other) const</td></tr>
<tr class="separator:a0517fb453cdf4e5c4435aecb4795e594"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af55ee7c1de15997ac779546b306ebf5f"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#af55ee7c1de15997ac779546b306ebf5f">id</a> () const</td></tr>
<tr class="separator:af55ee7c1de15997ac779546b306ebf5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29e249b45bac2a27feca360e29d6265d"><td class="memItemLeft" align="right" valign="top">const podio::ObjectID&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_reconstructed_particle.html#a29e249b45bac2a27feca360e29d6265d">getObjectID</a> () const</td></tr>
<tr class="separator:a29e249b45bac2a27feca360e29d6265d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EIC Reconstructed <a class="el" href="classeic_1_1_particle.html">Particle</a> </p><dl class="section author"><dt>Author</dt><dd>: F.Gaede, B. Hegner </dd></dl>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8h_source.html#l00035">35</a> of file <a class="el" href="_reconstructed_particle_8h_source.html">ReconstructedParticle.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad1608d746b561cdeacf74ebeea6c0a9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1608d746b561cdeacf74ebeea6c0a9e">&#9670;&nbsp;</a></span>ReconstructedParticle() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ReconstructedParticle::ReconstructedParticle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>default constructor </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00017">17</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

</div>
</div>
<a id="af928460dec7e5c29de51e71e545d7da2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af928460dec7e5c29de51e71e545d7da2">&#9670;&nbsp;</a></span>ReconstructedParticle() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ReconstructedParticle::ReconstructedParticle </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>energy</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::array&lt; double, 3 &gt;&#160;</td>
          <td class="paramname"><em>momentum</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>charge</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>mass</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00021">21</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_data_8h_source.html#l00020">eic::ReconstructedParticleData::charge</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00057">charge()</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00018">eic::ReconstructedParticleData::energy</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00054">energy()</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00021">eic::ReconstructedParticleData::mass</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00058">mass()</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00019">eic::ReconstructedParticleData::momentum</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00055">momentum()</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00017">eic::ReconstructedParticleData::type</a>, and <a class="el" href="_reconstructed_particle_8cc_source.html#l00053">type()</a>.</p>

</div>
</div>
<a id="a0f41c174c8dcb99256cf996895a20213"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f41c174c8dcb99256cf996895a20213">&#9670;&nbsp;</a></span>ReconstructedParticle() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ReconstructedParticle::ReconstructedParticle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_reconstructed_particle_obj.html">ReconstructedParticleObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor from existing <a class="el" href="classeic_1_1_reconstructed_particle_obj.html">ReconstructedParticleObj</a> </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00040">40</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

</div>
</div>
<a id="a27a794b93a15e596da410d176d793497"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27a794b93a15e596da410d176d793497">&#9670;&nbsp;</a></span>ReconstructedParticle() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ReconstructedParticle::ReconstructedParticle </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00030">30</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

</div>
</div>
<a id="ac6abbbc59623368218ec10cf1e77b3f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6abbbc59623368218ec10cf1e77b3f7">&#9670;&nbsp;</a></span>~ReconstructedParticle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ReconstructedParticle::~ReconstructedParticle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>destructor </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00048">48</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a1eac64db49c300a98690928a06073f06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1eac64db49c300a98690928a06073f06">&#9670;&nbsp;</a></span>addclusters()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ReconstructedParticle::addclusters </td>
          <td>(</td>
          <td class="paramtype">::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a>&#160;</td>
          <td class="paramname"><em>component</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00082">82</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_data_8h_source.html#l00024">eic::ReconstructedParticleData::clusters_end</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00040">eic::ReconstructedParticleObj::m_clusters</a>.</p>

</div>
</div>
<a id="ab45936f610cf0d165ab4c8d8265994a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab45936f610cf0d165ab4c8d8265994a1">&#9670;&nbsp;</a></span>addparticles()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ReconstructedParticle::addparticles </td>
          <td>(</td>
          <td class="paramtype">::<a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a>&#160;</td>
          <td class="paramname"><em>component</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00154">154</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00042">eic::ReconstructedParticleObj::m_particles</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00028">eic::ReconstructedParticleData::particles_end</a>.</p>

</div>
</div>
<a id="ae8d8cb8c7db1ad22105ab535e94d52d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8d8cb8c7db1ad22105ab535e94d52d0">&#9670;&nbsp;</a></span>addtracks()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ReconstructedParticle::addtracks </td>
          <td>(</td>
          <td class="paramtype">::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a>&#160;</td>
          <td class="paramname"><em>component</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00118">118</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00041">eic::ReconstructedParticleObj::m_tracks</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00026">eic::ReconstructedParticleData::tracks_end</a>.</p>

</div>
</div>
<a id="ae3f92f0ee9115e20142d1930086704aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3f92f0ee9115e20142d1930086704aa">&#9670;&nbsp;</a></span>charge() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ReconstructedParticle::charge </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The particle's charge. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00057">57</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_data_8h_source.html#l00020">eic::ReconstructedParticleData::charge</a>, and <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8cc_source.html#l00021">ReconstructedParticle()</a>.</p>

</div>
</div>
<a id="a5eb80ded486ebccb72baab77a6ebb6f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5eb80ded486ebccb72baab77a6ebb6f3">&#9670;&nbsp;</a></span>charge() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ReconstructedParticle::charge </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the The particle's charge. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00073">73</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_data_8h_source.html#l00020">eic::ReconstructedParticleData::charge</a>, and <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>.</p>

</div>
</div>
<a id="a6cebfda249f07f9a209111917f047791"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6cebfda249f07f9a209111917f047791">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> eic::ReconstructedParticle::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>support cloning (deep-copy) </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00044">44</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

</div>
</div>
<a id="ab0eac16a194d6175f9c13110905a59d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0eac16a194d6175f9c13110905a59d7">&#9670;&nbsp;</a></span>clusters() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> eic::ReconstructedParticle::clusters </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00103">103</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_data_8h_source.html#l00023">eic::ReconstructedParticleData::clusters_begin</a>, <a class="el" href="_reconstructed_particle_8cc_source.html#l00099">clusters_size()</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00040">eic::ReconstructedParticleObj::m_clusters</a>.</p>

</div>
</div>
<a id="a9e656fbe689e6f418572b1e180775052"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e656fbe689e6f418572b1e180775052">&#9670;&nbsp;</a></span>clusters() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt; eic::ReconstructedParticle::clusters </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00110">110</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_data_8h_source.html#l00023">eic::ReconstructedParticleData::clusters_begin</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00024">eic::ReconstructedParticleData::clusters_end</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00040">eic::ReconstructedParticleObj::m_clusters</a>.</p>

</div>
</div>
<a id="ade7a985319c8354e627afb545da19552"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade7a985319c8354e627afb545da19552">&#9670;&nbsp;</a></span>clusters_begin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt;::const_iterator eic::ReconstructedParticle::clusters_begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00087">87</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_data_8h_source.html#l00023">eic::ReconstructedParticleData::clusters_begin</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00040">eic::ReconstructedParticleObj::m_clusters</a>.</p>

</div>
</div>
<a id="a7c80967eb7ce00d89e6054d08f5450b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c80967eb7ce00d89e6054d08f5450b9">&#9670;&nbsp;</a></span>clusters_end()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt;::const_iterator eic::ReconstructedParticle::clusters_end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00093">93</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_data_8h_source.html#l00024">eic::ReconstructedParticleData::clusters_end</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00040">eic::ReconstructedParticleObj::m_clusters</a>.</p>

</div>
</div>
<a id="afe0258799c43a636cfb1495e0fc8c283"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe0258799c43a636cfb1495e0fc8c283">&#9670;&nbsp;</a></span>clusters_size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ReconstructedParticle::clusters_size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00099">99</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_data_8h_source.html#l00023">eic::ReconstructedParticleData::clusters_begin</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00024">eic::ReconstructedParticleData::clusters_end</a>, and <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8cc_source.html#l00103">clusters()</a>.</p>

</div>
</div>
<a id="a05920d5d8fa0f1b77fb6c8d98e3dc453"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05920d5d8fa0f1b77fb6c8d98e3dc453">&#9670;&nbsp;</a></span>energy() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ReconstructedParticle::energy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Energy of the reconstructed particle. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00054">54</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00018">eic::ReconstructedParticleData::energy</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8cc_source.html#l00021">ReconstructedParticle()</a>.</p>

</div>
</div>
<a id="a6abde6d96f42013ced583914ca2f7b67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6abde6d96f42013ced583914ca2f7b67">&#9670;&nbsp;</a></span>energy() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ReconstructedParticle::energy </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the Energy of the reconstructed particle. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00069">69</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00018">eic::ReconstructedParticleData::energy</a>.</p>

</div>
</div>
<a id="a29e249b45bac2a27feca360e29d6265d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29e249b45bac2a27feca360e29d6265d">&#9670;&nbsp;</a></span>getObjectID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const podio::ObjectID eic::ReconstructedParticle::getObjectID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00202">202</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8h_source.html#l00141">id()</a>.</p>

</div>
</div>
<a id="af55ee7c1de15997ac779546b306ebf5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af55ee7c1de15997ac779546b306ebf5f">&#9670;&nbsp;</a></span>id()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ReconstructedParticle::id </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8h_source.html#l00141">141</a> of file <a class="el" href="_reconstructed_particle_8h_source.html">ReconstructedParticle.h</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_8cc_source.html#l00202">getObjectID()</a>, and <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ad65c2fb2b46e1aa3ceace4fe0cf370b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad65c2fb2b46e1aa3ceace4fe0cf370b1">&#9670;&nbsp;</a></span>isAvailable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ReconstructedParticle::isAvailable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check whether the object is actually available </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00195">195</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

</div>
</div>
<a id="a43945b1ac5c38a51b858cf3e2148f02d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43945b1ac5c38a51b858cf3e2148f02d">&#9670;&nbsp;</a></span>mass() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ReconstructedParticle::mass </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The mass of the particle in [GeV]. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00058">58</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00021">eic::ReconstructedParticleData::mass</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8cc_source.html#l00021">ReconstructedParticle()</a>.</p>

</div>
</div>
<a id="a0e7735e3aa1c4feb008878c70a6907c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e7735e3aa1c4feb008878c70a6907c2">&#9670;&nbsp;</a></span>mass() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ReconstructedParticle::mass </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the The mass of the particle in [GeV]. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00074">74</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00039">eic::ReconstructedParticleObj::m_vertex</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00021">eic::ReconstructedParticleData::mass</a>, and <a class="el" href="_reconstructed_particle_8cc_source.html#l00060">vertex()</a>.</p>

</div>
</div>
<a id="a3f897f60a6c5d2dbb04c5b4185e61a3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f897f60a6c5d2dbb04c5b4185e61a3c">&#9670;&nbsp;</a></span>momentum() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; double, 3 &gt; &amp; eic::ReconstructedParticle::momentum </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The reconstructed particle's 3-momentum. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00055">55</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00019">eic::ReconstructedParticleData::momentum</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8cc_source.html#l00021">ReconstructedParticle()</a>.</p>

</div>
</div>
<a id="a287b9a555cefbc7ff008dc9023103f53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a287b9a555cefbc7ff008dc9023103f53">&#9670;&nbsp;</a></span>momentum() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ReconstructedParticle::momentum </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access item i of the The reconstructed particle's 3-momentum. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00056">56</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00019">eic::ReconstructedParticleData::momentum</a>.</p>

</div>
</div>
<a id="a4e1b316c7c15585fa3b8eb386fbafae7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e1b316c7c15585fa3b8eb386fbafae7">&#9670;&nbsp;</a></span>momentum() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ReconstructedParticle::momentum </td>
          <td>(</td>
          <td class="paramtype">std::array&lt; double, 3 &gt;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the The reconstructed particle's 3-momentum. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00070">70</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00019">eic::ReconstructedParticleData::momentum</a>.</p>

</div>
</div>
<a id="a16107436156ffdbdb5518532dd111d0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16107436156ffdbdb5518532dd111d0f">&#9670;&nbsp;</a></span>momentum() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ReconstructedParticle::momentum </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00071">71</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00019">eic::ReconstructedParticleData::momentum</a>.</p>

</div>
</div>
<a id="ab764b604c8e2e3eafd1a0c7c9a686158"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab764b604c8e2e3eafd1a0c7c9a686158">&#9670;&nbsp;</a></span>momentum() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::array&lt; double, 3 &gt; &amp; eic::ReconstructedParticle::momentum </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get reference to The reconstructed particle's 3-momentum. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00072">72</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00019">eic::ReconstructedParticleData::momentum</a>.</p>

</div>
</div>
<a id="af1dc6298b8e09e0702fc48470ded5729"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1dc6298b8e09e0702fc48470ded5729">&#9670;&nbsp;</a></span>operator ConstReconstructedParticle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ReconstructedParticle::operator <a class="el" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>conversion to const object </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00051">51</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

</div>
</div>
<a id="a0517fb453cdf4e5c4435aecb4795e594"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0517fb453cdf4e5c4435aecb4795e594">&#9670;&nbsp;</a></span>operator<()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ReconstructedParticle::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8h_source.html#l00139">139</a> of file <a class="el" href="_reconstructed_particle_8h_source.html">ReconstructedParticle.h</a>.</p>

</div>
</div>
<a id="a7769ae12580de8c0230609baef09c27c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7769ae12580de8c0230609baef09c27c">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> &amp; eic::ReconstructedParticle::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy-assignment operator </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00034">34</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

</div>
</div>
<a id="aa7427ab20702e6e6a4192d8b81e14b6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7427ab20702e6e6a4192d8b81e14b6d">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ReconstructedParticle::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8h_source.html#l00135">135</a> of file <a class="el" href="_reconstructed_particle_8h_source.html">ReconstructedParticle.h</a>.</p>

</div>
</div>
<a id="a3aa72eb6e0ebabe821ee6c5ff600d21b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3aa72eb6e0ebabe821ee6c5ff600d21b">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ReconstructedParticle::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00209">209</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

</div>
</div>
<a id="aa62bb57cec72438b986d7b73f007cbee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa62bb57cec72438b986d7b73f007cbee">&#9670;&nbsp;</a></span>particles() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a> eic::ReconstructedParticle::particles </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00175">175</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00042">eic::ReconstructedParticleObj::m_particles</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00027">eic::ReconstructedParticleData::particles_begin</a>, and <a class="el" href="_reconstructed_particle_8cc_source.html#l00171">particles_size()</a>.</p>

</div>
</div>
<a id="a7f1d5448bf597e3a2a24b39d74916a26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f1d5448bf597e3a2a24b39d74916a26">&#9670;&nbsp;</a></span>particles() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a> &gt; eic::ReconstructedParticle::particles </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00182">182</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00042">eic::ReconstructedParticleObj::m_particles</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00027">eic::ReconstructedParticleData::particles_begin</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00028">eic::ReconstructedParticleData::particles_end</a>.</p>

</div>
</div>
<a id="afded9e5f6c5874b912365a479bbe2378"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afded9e5f6c5874b912365a479bbe2378">&#9670;&nbsp;</a></span>particles_begin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a> &gt;::const_iterator eic::ReconstructedParticle::particles_begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00159">159</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00042">eic::ReconstructedParticleObj::m_particles</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00027">eic::ReconstructedParticleData::particles_begin</a>.</p>

</div>
</div>
<a id="a86ef2449a2a6edb0133b446ead0eda38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86ef2449a2a6edb0133b446ead0eda38">&#9670;&nbsp;</a></span>particles_end()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a> &gt;::const_iterator eic::ReconstructedParticle::particles_end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00165">165</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00042">eic::ReconstructedParticleObj::m_particles</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00028">eic::ReconstructedParticleData::particles_end</a>.</p>

</div>
</div>
<a id="a50bf98e35c2b136ffbf46306f6663505"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50bf98e35c2b136ffbf46306f6663505">&#9670;&nbsp;</a></span>particles_size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ReconstructedParticle::particles_size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00171">171</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00027">eic::ReconstructedParticleData::particles_begin</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00028">eic::ReconstructedParticleData::particles_end</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8cc_source.html#l00175">particles()</a>.</p>

</div>
</div>
<a id="a6c32b2e46da2519bae03ee0b95f5d089"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c32b2e46da2519bae03ee0b95f5d089">&#9670;&nbsp;</a></span>tracks() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> eic::ReconstructedParticle::tracks </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00139">139</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00041">eic::ReconstructedParticleObj::m_tracks</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00025">eic::ReconstructedParticleData::tracks_begin</a>, and <a class="el" href="_reconstructed_particle_8cc_source.html#l00135">tracks_size()</a>.</p>

</div>
</div>
<a id="a5b8c30c843d79468a3817d24a94dd351"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b8c30c843d79468a3817d24a94dd351">&#9670;&nbsp;</a></span>tracks() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> &gt; eic::ReconstructedParticle::tracks </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00146">146</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00041">eic::ReconstructedParticleObj::m_tracks</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00025">eic::ReconstructedParticleData::tracks_begin</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00026">eic::ReconstructedParticleData::tracks_end</a>.</p>

</div>
</div>
<a id="ad3eb5c21b4058e8c61a5bd5466277fd1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3eb5c21b4058e8c61a5bd5466277fd1">&#9670;&nbsp;</a></span>tracks_begin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> &gt;::const_iterator eic::ReconstructedParticle::tracks_begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00123">123</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00041">eic::ReconstructedParticleObj::m_tracks</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00025">eic::ReconstructedParticleData::tracks_begin</a>.</p>

</div>
</div>
<a id="ae0be48f9f6f575b8de02bf4f7c7da5e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0be48f9f6f575b8de02bf4f7c7da5e6">&#9670;&nbsp;</a></span>tracks_end()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> &gt;::const_iterator eic::ReconstructedParticle::tracks_end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00129">129</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00041">eic::ReconstructedParticleObj::m_tracks</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00026">eic::ReconstructedParticleData::tracks_end</a>.</p>

</div>
</div>
<a id="a1f0c41aea1f0946012d365c07083d2f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f0c41aea1f0946012d365c07083d2f6">&#9670;&nbsp;</a></span>tracks_size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ReconstructedParticle::tracks_size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00135">135</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00025">eic::ReconstructedParticleData::tracks_begin</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00026">eic::ReconstructedParticleData::tracks_end</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8cc_source.html#l00139">tracks()</a>.</p>

</div>
</div>
<a id="aa2f48e9ed2fc13f89fbd14711171085f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2f48e9ed2fc13f89fbd14711171085f">&#9670;&nbsp;</a></span>type() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int &amp; eic::ReconstructedParticle::type </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Type of reconstructed particle. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00053">53</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00017">eic::ReconstructedParticleData::type</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8cc_source.html#l00021">ReconstructedParticle()</a>.</p>

</div>
</div>
<a id="adae5d6283b37b04bbd465ee1cf423d23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adae5d6283b37b04bbd465ee1cf423d23">&#9670;&nbsp;</a></span>type() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ReconstructedParticle::type </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the Type of reconstructed particle. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00068">68</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00017">eic::ReconstructedParticleData::type</a>.</p>

</div>
</div>
<a id="aac39d55e8788f5969f915b12ceb696a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac39d55e8788f5969f915b12ceb696a4">&#9670;&nbsp;</a></span>unlink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ReconstructedParticle::unlink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>disconnect from <a class="el" href="classeic_1_1_reconstructed_particle_obj.html">ReconstructedParticleObj</a> instance </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8h_source.html#l00133">133</a> of file <a class="el" href="_reconstructed_particle_8h_source.html">ReconstructedParticle.h</a>.</p>

</div>
</div>
<a id="a9ee04d535846548b3f620533eaa9f6cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ee04d535846548b3f620533eaa9f6cb">&#9670;&nbsp;</a></span>vertex() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_const_vertex.html">ConstVertex</a> eic::ReconstructedParticle::vertex </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The start vertex associated to this particle. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_8cc_source.html#l00060">60</a> of file <a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00039">eic::ReconstructedParticleObj::m_vertex</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8cc_source.html#l00074">mass()</a>.</p>

</div>
</div>
<a id="a92f0f86624c5dad3ef3f2f5f4ec9892a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92f0f86624c5dad3ef3f2f5f4ec9892a">&#9670;&nbsp;</a></span>vertex() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ReconstructedParticle::vertex </td>
          <td>(</td>
          <td class="paramtype">::<a class="el" href="classeic_1_1_const_vertex.html">eic::ConstVertex</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the The start vertex associated to this particle. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_reconstructed_particle_8h_source.html">ReconstructedParticle.h</a></li>
<li>src/<a class="el" href="_reconstructed_particle_8cc_source.html">ReconstructedParticle.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
